---
apiVersion: machine.openshift.io/v1beta1
kind: Machine
metadata:
  annotations:
    machine.openshift.io/instance-state: externally provisioned
    metal3.io/BareMetalHost: openshift-machine-api/cnvqe-071.lab.eng.tlv2.redhat.com
  creationTimestamp: "2025-10-27T11:18:54Z"
  finalizers:
  - machine.machine.openshift.io
  generation: 3
  labels:
    machine.openshift.io/cluster-api-cluster: bm12b-tlv2-879vl
    machine.openshift.io/cluster-api-machine-role: master
    machine.openshift.io/cluster-api-machine-type: master
  managedFields:
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:machine.openshift.io/cluster-api-cluster: {}
          f:machine.openshift.io/cluster-api-machine-role: {}
          f:machine.openshift.io/cluster-api-machine-type: {}
      f:spec:
        .: {}
        f:lifecycleHooks: {}
        f:metadata: {}
        f:providerSpec:
          .: {}
          f:value:
            .: {}
            f:apiVersion: {}
            f:customDeploy:
              .: {}
              f:method: {}
            f:hostSelector: {}
            f:image:
              .: {}
              f:checksum: {}
              f:url: {}
            f:kind: {}
            f:metadata:
              .: {}
              f:creationTimestamp: {}
            f:userData:
              .: {}
              f:name: {}
    manager: cluster-bootstrap
    operation: Update
    time: "2025-10-27T11:18:54Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status: {}
    manager: cluster-bootstrap
    operation: Update
    subresource: status
    time: "2025-10-27T11:18:54Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:lifecycleHooks:
          f:preDrain:
            .: {}
            k:{"name":"EtcdQuorumOperator"}:
              .: {}
              f:name: {}
              f:owner: {}
    manager: cluster-etcd-operator
    operation: Update
    time: "2025-10-27T11:40:31Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:addresses: {}
        f:conditions:
          .: {}
          k:{"type":"Drainable"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:severity: {}
            f:status: {}
            f:type: {}
          k:{"type":"InstanceExists"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Terminable"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:phase: {}
    manager: machine-controller-manager
    operation: Update
    subresource: status
    time: "2025-10-27T11:40:31Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machine.openshift.io/instance-state: {}
          f:metal3.io/BareMetalHost: {}
        f:finalizers:
          .: {}
          v:"machine.machine.openshift.io": {}
      f:spec:
        f:providerID: {}
    manager: machine-controller-manager
    operation: Update
    time: "2025-10-27T11:45:15Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:lastUpdated: {}
        f:nodeRef: {}
    manager: nodelink-controller
    operation: Update
    subresource: status
    time: "2025-10-27T12:30:13Z"
  name: bm12b-tlv2-879vl-master-1
  namespace: openshift-machine-api
  resourceVersion: "46538"
  uid: 5dcc17d8-ffc4-4fdd-8fdc-7d9eb0df64a2
spec:
  lifecycleHooks:
    preDrain:
    - name: EtcdQuorumOperator
      owner: clusteroperator/etcd
  metadata: {}
  providerID: baremetalhost:///openshift-machine-api/cnvqe-071.lab.eng.tlv2.redhat.com/394a2ca8-9e30-40fa-a7b4-77ebdc5ed3d9
  providerSpec:
    value:
      apiVersion: baremetal.cluster.k8s.io/v1alpha1
      customDeploy:
        method: install_coreos
      hostSelector: {}
      image:
        checksum: ""
        url: ""
      kind: BareMetalMachineProviderSpec
      metadata:
        creationTimestamp: null
      userData:
        name: master-user-data-managed
status:
  addresses:
  - address: 10.46.248.42
    type: InternalIP
  - address: ""
    type: InternalIP
  - address: ""
    type: InternalIP
  - address: ""
    type: InternalIP
  conditions:
  - lastTransitionTime: "2025-10-27T11:40:31Z"
    message: 'Drain operation currently blocked by: [{Name:EtcdQuorumOperator Owner:clusteroperator/etcd}]'
    reason: HookPresent
    severity: Warning
    status: "False"
    type: Drainable
  - lastTransitionTime: "2025-10-27T11:40:31Z"
    status: "True"
    type: InstanceExists
  - lastTransitionTime: "2025-10-27T11:32:18Z"
    status: "True"
    type: Terminable
  lastUpdated: "2025-10-27T12:30:13Z"
  nodeRef:
    kind: Node
    name: cnvqe-071.lab.eng.tlv2.redhat.com
    uid: 57bb5833-a74c-4057-baf2-c85959c41eff
  phase: Running
